Subject: bug#56900: phoronix-test-suite downloads nonfree software (+ question on collaboration with Parabola on this package)

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 02 Sep 2022 08:58:24 -0400

Hello Denis,

Denis 'GNUtoo' Carikli <[email-masked]> writes:

> On Tue, 02 Aug 2022 22:28:56 -0400
> Maxim Cournoyer <[email-masked]> wrote:
>
>> Hi Denis,
> Hi,
>
>> Would you like to try preparing a snippet patch turning the above
>> 'Free' into 'Proprietary' or the likes so that the Python script can
>> remove them?  Otherwise I can look into it.
> Since you wrote the python script you might be way faster if you do it.
>
> By the way I've found new issues: 
> - phoronix-test-suite test system/gnupg => This downloads
>   linux-4.3.tar.gz, so it has the same issue.
> - phoronix-test-suite test pts/gnupg => This downloads
>   ubuntu-20.04-desktop-amd64.iso so it has the same issue because
>   ubuntu-20.04-desktop-amd64.iso probably contains nonfree firmwares.

I've fixed all the problems reported (and then some) with
448deee2b73914e094f22684e2d38637502cd4f0.

Thanks for reported them!

Closing.

Maxim